import { Anchor as FASTAnchor } from '@microsoft/fast-components';
import { foundationAnchorStyles as styles } from './anchor.styles';
import { foundationAnchorTemplate as template } from './anchor.template';
export class Anchor extends FASTAnchor {
}
export const foundationAnchorShadowOptions = {
    delegatesFocus: true,
    mode: 'open',
};
export const defaultAnchorConfig = {};
export const foundationAnchor = Anchor.compose(Object.assign({ baseName: 'anchor', template,
    styles, shadowOptions: foundationAnchorShadowOptions }, defaultAnchorConfig));
