import { DataGridCell as FASTDataGridCell } from '@microsoft/fast-components';
import { dataGridCellTemplate as template } from '@microsoft/fast-foundation';
import { foundationDataGridCellStyles as styles } from './data-grid-cell.styles';
export { dataGridCellTemplate as foundationDataGridCellTemplate } from '@microsoft/fast-foundation';
export class DataGridCell extends FASTDataGridCell {
}
export const foundationDataGridCellShadowOptions = undefined;
export const defaultDataGridCellConfig = {};
export const foundationDataGridCell = DataGridCell.compose(Object.assign({ baseName: 'data-grid-cell', template,
    styles, shadowOptions: foundationDataGridCellShadowOptions }, defaultDataGridCellConfig));
