import { DataGridRow as FASTDataGridRow } from '@microsoft/fast-components';
import { dataGridRowTemplate as template } from '@microsoft/fast-foundation';
import { foundationDataGridRowStyles as styles } from './data-grid-row.styles';
export { dataGridRowTemplate as foundationDataGridRowTemplate } from '@microsoft/fast-foundation';
export class DataGridRow extends FASTDataGridRow {
}
export const foundationDataGridRowShadowOptions = undefined;
export const defaultDataGridRowConfig = {};
export const foundationDataGridRow = DataGridRow.compose(Object.assign({ baseName: 'data-grid-row', template,
    styles, shadowOptions: foundationDataGridRowShadowOptions }, defaultDataGridRowConfig));
